## EphyLocationAction

EphyLocationAction — An EphyLinkAction implementation

## Synopsis

                        EphyLocationAction;
    const char *        ephy_location_action_get_address    (EphyLocationAction *action);
    void                ephy_location_action_set_address    (EphyLocationAction *action,
                                                             const char *address);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EphyLinkAction
                   +----EphyLocationAction

## Implemented Interfaces

EphyLocationAction implements GtkBuildable and EphyLink.

## Properties

      "address"                  gchar*                : Read / Write
      "editable"                 gboolean              : Read / Write
      "icon"                     GdkPixbuf*            : Read / Write
      "lock-stock-id"            gchar*                : Read / Write
      "lock-tooltip"             gchar*                : Read / Write
      "secure"                   gboolean              : Read / Write
      "show-lock"                gboolean              : Read / Write
      "window"                   GObject*              : Write / Construct Only

## Signals

      "lock-clicked"                                   : Run First

## Description

EphyLocationAction handles navigation together with EphyLocationEntry

## Details

### EphyLocationAction

    typedef struct _EphyLocationAction EphyLocationAction;

### ephy_location_action_get_address ()

    const char *        ephy_location_action_get_address    (EphyLocationAction *action);

Retrieves the currently loaded address.

`action` : | an EphyLocationAction
Returns : | the current address

### ephy_location_action_set_address ()

    void                ephy_location_action_set_address    (EphyLocationAction *action,
                                                             const char *address);

Sets `address` as the address of `action`.

`action` : | an EphyLocationAction
`address` : | new address

## Property Details

### The `"address"` property

      "address"                  gchar*                : Read / Write

The address of the current location.

Default value: ""

### The `"editable"` property

      "editable"                 gboolean              : Read / Write

Whether the location bar entry can be edited.

Default value: TRUE

### The `"icon"` property

      "icon"                     GdkPixbuf*            : Read / Write

The icon corresponding to the current location.

### The `"lock-stock-id"` property

      "lock-stock-id"            gchar*                : Read / Write

Stock id of the security icon.

Default value: NULL

### The `"lock-tooltip"` property

      "lock-tooltip"             gchar*                : Read / Write

Tooltip for the security icon.

Default value: NULL

### The `"secure"` property

      "secure"                   gboolean              : Read / Write

Whether the current page is loaded over a secure connection.

Default value: FALSE

### The `"show-lock"` property

      "show-lock"                gboolean              : Read / Write

If we should show the security icon.

Default value: FALSE

### The `"window"` property

      "window"                   GObject*              : Write / Construct Only

The parent window.

## Signal Details

### The `"lock-clicked"` signal

    void                user_function                      (EphyLocationAction *action,
                                                            gpointer            user_data)      : Run First

Emitted when the user clicks on the security icon of the internal EphyLocationEntry.

`action` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.